﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data;
using SQLServer2Excel.Models;
using System.IO;

namespace SQLServer2Excel.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public FileResult DownloadFile()
        {
            DataSet ds = Person.GetPersonDataSet(new DataSet());

            MemoryStream stream = ExportTool.ExportDatasetToExcel(ds);
            stream.Seek(0, SeekOrigin.Begin);

            return File(stream, "application/vnd.ms-excel", "spreadsheet1.xls");
        }
    }
}